Bump to iso-code 4.8.0
[platform/upstream/iso-codes.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = { \
19   if test -z '$(MAKELEVEL)'; then \
20     false; \
21   elif test -n '$(MAKE_HOST)'; then \
22     true; \
23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24     true; \
25   else \
26     false; \
27   fi; \
28 }
29 am__make_running_with_option = \
30   case $${target_option-} in \
31       ?) ;; \
32       *) echo "am__make_running_with_option: internal error: invalid" \
33               "target option '$${target_option-}' specified" >&2; \
34          exit 1;; \
35   esac; \
36   has_opt=no; \
37   sane_makeflags=$$MAKEFLAGS; \
38   if $(am__is_gnu_make); then \
39     sane_makeflags=$$MFLAGS; \
40   else \
41     case $$MAKEFLAGS in \
42       *\\[\ \   ]*) \
43         bs=\\; \
44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46     esac; \
47   fi; \
48   skip_next=no; \
49   strip_trailopt () \
50   { \
51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52   }; \
53   for flg in $$sane_makeflags; do \
54     test $$skip_next = yes && { skip_next=no; continue; }; \
55     case $$flg in \
56       *=*|--*) continue;; \
57         -*I) strip_trailopt 'I'; skip_next=yes;; \
58       -*I?*) strip_trailopt 'I';; \
59         -*O) strip_trailopt 'O'; skip_next=yes;; \
60       -*O?*) strip_trailopt 'O';; \
61         -*l) strip_trailopt 'l'; skip_next=yes;; \
62       -*l?*) strip_trailopt 'l';; \
63       -[dEDm]) skip_next=yes;; \
64       -[JT]) skip_next=yes;; \
65     esac; \
66     case $$flg in \
67       *$$target_option*) has_opt=yes; break;; \
68     esac; \
69   done; \
70   test $$has_opt = yes
71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73 pkgdatadir = $(datadir)/@PACKAGE@
74 pkgincludedir = $(includedir)/@PACKAGE@
75 pkglibdir = $(libdir)/@PACKAGE@
76 pkglibexecdir = $(libexecdir)/@PACKAGE@
77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78 install_sh_DATA = $(install_sh) -c -m 644
79 install_sh_PROGRAM = $(install_sh) -c
80 install_sh_SCRIPT = $(install_sh) -c
81 INSTALL_HEADER = $(INSTALL_DATA)
82 transform = $(program_transform_name)
83 NORMAL_INSTALL = :
84 PRE_INSTALL = :
85 POST_INSTALL = :
86 NORMAL_UNINSTALL = :
87 PRE_UNINSTALL = :
88 POST_UNINSTALL = :
89 subdir = .
90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93         $(ACLOCAL_M4)
94 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95         $(am__configure_deps) $(dist_json_DATA) $(am__DIST_COMMON)
96 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97  configure.lineno config.status.lineno
98 mkinstalldirs = $(install_sh) -d
99 CONFIG_CLEAN_FILES = iso-codes.pc
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116         ctags-recursive dvi-recursive html-recursive info-recursive \
117         install-data-recursive install-dvi-recursive \
118         install-exec-recursive install-html-recursive \
119         install-info-recursive install-pdf-recursive \
120         install-ps-recursive install-recursive installcheck-recursive \
121         installdirs-recursive pdf-recursive ps-recursive \
122         tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124   case $$AM_UPDATE_INFO_DIR in \
125     n|no|NO) false;; \
126     *) (install-info --version) >/dev/null 2>&1;; \
127   esac
128 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129 am__vpath_adj = case $$p in \
130     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131     *) f=$$p;; \
132   esac;
133 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134 am__install_max = 40
135 am__nobase_strip_setup = \
136   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137 am__nobase_strip = \
138   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139 am__nobase_list = $(am__nobase_strip_setup); \
140   for p in $$list; do echo "$$p $$p"; done | \
141   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143     if (++n[$$2] == $(am__install_max)) \
144       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145     END { for (dir in files) print dir, files[dir] }'
146 am__base_list = \
147   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149 am__uninstall_files_from_dir = { \
150   test -z "$$files" \
151     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153          $(am__cd) "$$dir" && rm -f $$files; }; \
154   }
155 am__installdirs = "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"
156 DATA = $(dist_json_DATA) $(pkgconfig_DATA)
157 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
158   distclean-recursive maintainer-clean-recursive
159 am__recursive_targets = \
160   $(RECURSIVE_TARGETS) \
161   $(RECURSIVE_CLEAN_TARGETS) \
162   $(am__extra_recursive_targets)
163 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
164         cscope distdir distdir-am dist dist-all distcheck
165 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
166 # Read a list of newline-separated strings from the standard input,
167 # and print each of them once, without duplicates.  Input order is
168 # *not* preserved.
169 am__uniquify_input = $(AWK) '\
170   BEGIN { nonempty = 0; } \
171   { items[$$0] = 1; nonempty = 1; } \
172   END { if (nonempty) { for (i in items) print i; }; } \
173 '
174 # Make sure the list of sources is unique.  This is necessary because,
175 # e.g., the same source file might be shared among _SOURCES variables
176 # for different programs/libraries.
177 am__define_uniq_tagged_files = \
178   list='$(am__tagged_files)'; \
179   unique=`for i in $$list; do \
180     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
181   done | $(am__uniquify_input)`
182 DIST_SUBDIRS = $(SUBDIRS)
183 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/iso-codes.pc.in \
184         COPYING INSTALL README.md TODO install-sh missing
185 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
186 distdir = $(PACKAGE)-$(VERSION)
187 top_distdir = $(distdir)
188 am__remove_distdir = \
189   if test -d "$(distdir)"; then \
190     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
191       && rm -rf "$(distdir)" \
192       || { sleep 5 && rm -rf "$(distdir)"; }; \
193   else :; fi
194 am__post_remove_distdir = $(am__remove_distdir)
195 am__relativize = \
196   dir0=`pwd`; \
197   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
198   sed_rest='s,^[^/]*/*,,'; \
199   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
200   sed_butlast='s,/*[^/]*$$,,'; \
201   while test -n "$$dir1"; do \
202     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
203     if test "$$first" != "."; then \
204       if test "$$first" = ".."; then \
205         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
206         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
207       else \
208         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
209         if test "$$first2" = "$$first"; then \
210           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
211         else \
212           dir2="../$$dir2"; \
213         fi; \
214         dir0="$$dir0"/"$$first"; \
215       fi; \
216     fi; \
217     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
218   done; \
219   reldir="$$dir2"
220 GZIP_ENV = --best
221 DIST_ARCHIVES = $(distdir).tar.xz
222 DIST_TARGETS = dist-xz
223 # Exists only to be overridden by the user if desired.
224 AM_DISTCHECK_DVI_TARGET = dvi
225 distuninstallcheck_listfiles = find . -type f -print
226 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
227   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
228 distcleancheck_listfiles = find . -type f -print
229 ACLOCAL = @ACLOCAL@
230 AMTAR = @AMTAR@
231 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
232 AUTOCONF = @AUTOCONF@
233 AUTOHEADER = @AUTOHEADER@
234 AUTOMAKE = @AUTOMAKE@
235 AWK = @AWK@
236 CSCOPE = @CSCOPE@
237 CTAGS = @CTAGS@
238 CYGPATH_W = @CYGPATH_W@
239 DEFS = @DEFS@
240 DOMAINS = @DOMAINS@
241 ECHO_C = @ECHO_C@
242 ECHO_N = @ECHO_N@
243 ECHO_T = @ECHO_T@
244 ETAGS = @ETAGS@
245 INSTALL = @INSTALL@
246 INSTALL_DATA = @INSTALL_DATA@
247 INSTALL_PROGRAM = @INSTALL_PROGRAM@
248 INSTALL_SCRIPT = @INSTALL_SCRIPT@
249 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
250 LIBOBJS = @LIBOBJS@
251 LIBS = @LIBS@
252 LN_S = @LN_S@
253 LTLIBOBJS = @LTLIBOBJS@
254 MAINT = @MAINT@
255 MAKEINFO = @MAKEINFO@
256 MKDIR_P = @MKDIR_P@
257 MSGATTRIB = @MSGATTRIB@
258 MSGFILTER = @MSGFILTER@
259 MSGFMT = @MSGFMT@
260 MSGFMT_FLAGS = @MSGFMT_FLAGS@
261 MSGMERGE = @MSGMERGE@
262 PACKAGE = @PACKAGE@
263 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
264 PACKAGE_NAME = @PACKAGE_NAME@
265 PACKAGE_STRING = @PACKAGE_STRING@
266 PACKAGE_TARNAME = @PACKAGE_TARNAME@
267 PACKAGE_URL = @PACKAGE_URL@
268 PACKAGE_VERSION = @PACKAGE_VERSION@
269 PATH_SEPARATOR = @PATH_SEPARATOR@
270 RECODE_SR_LATIN = @RECODE_SR_LATIN@
271 SET_MAKE = @SET_MAKE@
272 SHELL = @SHELL@
273 STRIP = @STRIP@
274 VERSION = @VERSION@
275 abs_builddir = @abs_builddir@
276 abs_srcdir = @abs_srcdir@
277 abs_top_builddir = @abs_top_builddir@
278 abs_top_srcdir = @abs_top_srcdir@
279 am__leading_dot = @am__leading_dot@
280 am__tar = @am__tar@
281 am__untar = @am__untar@
282 bindir = @bindir@
283 build_alias = @build_alias@
284 builddir = @builddir@
285 datadir = @datadir@
286 datarootdir = @datarootdir@
287 docdir = @docdir@
288 dvidir = @dvidir@
289 exec_prefix = @exec_prefix@
290 host_alias = @host_alias@
291 htmldir = @htmldir@
292 includedir = @includedir@
293 infodir = @infodir@
294 install_sh = @install_sh@
295 libdir = @libdir@
296 libexecdir = @libexecdir@
297 localedir = @localedir@
298 localstatedir = @localstatedir@
299 mandir = @mandir@
300 mkdir_p = @mkdir_p@
301 oldincludedir = @oldincludedir@
302 pdfdir = @pdfdir@
303 prefix = @prefix@
304 program_transform_name = @program_transform_name@
305 psdir = @psdir@
306 runstatedir = @runstatedir@
307 sbindir = @sbindir@
308 sharedstatedir = @sharedstatedir@
309 srcdir = @srcdir@
310 sysconfdir = @sysconfdir@
311 target_alias = @target_alias@
312 top_build_prefix = @top_build_prefix@
313 top_builddir = @top_builddir@
314 top_srcdir = @top_srcdir@
315 SUBDIRS = $(DOMAINS)
316 pkgconfigdir = $(datadir)/pkgconfig
317 pkgconfig_DATA = iso-codes.pc
318
319 # Install the JSON files.
320 jsondir = $(pkgdatadir)/json
321 dist_json_DATA = $(wildcard $(srcdir)/data/*.json)
322
323 # Include the "bin" directory, the bootstrap script,
324 # the common Makefile snippet
325 # and the markdown documentation currently not handled
326 # by automake
327 EXTRA_DIST = bin bootstrap common.mk CHANGELOG.md CHANGELOG-PRE-4.0.md
328 DISTCLEANFILES = $(pkgconfig_DATA)
329 all: all-recursive
330
331 .SUFFIXES:
332 am--refresh: Makefile
333         @:
334 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
335         @for dep in $?; do \
336           case '$(am__configure_deps)' in \
337             *$$dep*) \
338               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
339               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
340                 && exit 0; \
341               exit 1;; \
342           esac; \
343         done; \
344         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
345         $(am__cd) $(top_srcdir) && \
346           $(AUTOMAKE) --foreign Makefile
347 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
348         @case '$?' in \
349           *config.status*) \
350             echo ' $(SHELL) ./config.status'; \
351             $(SHELL) ./config.status;; \
352           *) \
353             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
354             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
355         esac;
356
357 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
358         $(SHELL) ./config.status --recheck
359
360 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
361         $(am__cd) $(srcdir) && $(AUTOCONF)
362 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
363         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
364 $(am__aclocal_m4_deps):
365 iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
366         cd $(top_builddir) && $(SHELL) ./config.status $@
367 install-dist_jsonDATA: $(dist_json_DATA)
368         @$(NORMAL_INSTALL)
369         @list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
370         if test -n "$$list"; then \
371           echo " $(MKDIR_P) '$(DESTDIR)$(jsondir)'"; \
372           $(MKDIR_P) "$(DESTDIR)$(jsondir)" || exit 1; \
373         fi; \
374         for p in $$list; do \
375           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
376           echo "$$d$$p"; \
377         done | $(am__base_list) | \
378         while read files; do \
379           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(jsondir)'"; \
380           $(INSTALL_DATA) $$files "$(DESTDIR)$(jsondir)" || exit $$?; \
381         done
382
383 uninstall-dist_jsonDATA:
384         @$(NORMAL_UNINSTALL)
385         @list='$(dist_json_DATA)'; test -n "$(jsondir)" || list=; \
386         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
387         dir='$(DESTDIR)$(jsondir)'; $(am__uninstall_files_from_dir)
388 install-pkgconfigDATA: $(pkgconfig_DATA)
389         @$(NORMAL_INSTALL)
390         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
391         if test -n "$$list"; then \
392           echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
393           $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
394         fi; \
395         for p in $$list; do \
396           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
397           echo "$$d$$p"; \
398         done | $(am__base_list) | \
399         while read files; do \
400           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
401           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
402         done
403
404 uninstall-pkgconfigDATA:
405         @$(NORMAL_UNINSTALL)
406         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
407         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
408         dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
409
410 # This directory's subdirectories are mostly independent; you can cd
411 # into them and run 'make' without going through this Makefile.
412 # To change the values of 'make' variables: instead of editing Makefiles,
413 # (1) if the variable is set in 'config.status', edit 'config.status'
414 #     (which will cause the Makefiles to be regenerated when you run 'make');
415 # (2) otherwise, pass the desired values on the 'make' command line.
416 $(am__recursive_targets):
417         @fail=; \
418         if $(am__make_keepgoing); then \
419           failcom='fail=yes'; \
420         else \
421           failcom='exit 1'; \
422         fi; \
423         dot_seen=no; \
424         target=`echo $@ | sed s/-recursive//`; \
425         case "$@" in \
426           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
427           *) list='$(SUBDIRS)' ;; \
428         esac; \
429         for subdir in $$list; do \
430           echo "Making $$target in $$subdir"; \
431           if test "$$subdir" = "."; then \
432             dot_seen=yes; \
433             local_target="$$target-am"; \
434           else \
435             local_target="$$target"; \
436           fi; \
437           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
438           || eval $$failcom; \
439         done; \
440         if test "$$dot_seen" = "no"; then \
441           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
442         fi; test -z "$$fail"
443
444 ID: $(am__tagged_files)
445         $(am__define_uniq_tagged_files); mkid -fID $$unique
446 tags: tags-recursive
447 TAGS: tags
448
449 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
450         set x; \
451         here=`pwd`; \
452         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
453           include_option=--etags-include; \
454           empty_fix=.; \
455         else \
456           include_option=--include; \
457           empty_fix=; \
458         fi; \
459         list='$(SUBDIRS)'; for subdir in $$list; do \
460           if test "$$subdir" = .; then :; else \
461             test ! -f $$subdir/TAGS || \
462               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
463           fi; \
464         done; \
465         $(am__define_uniq_tagged_files); \
466         shift; \
467         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
468           test -n "$$unique" || unique=$$empty_fix; \
469           if test $$# -gt 0; then \
470             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
471               "$$@" $$unique; \
472           else \
473             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
474               $$unique; \
475           fi; \
476         fi
477 ctags: ctags-recursive
478
479 CTAGS: ctags
480 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
481         $(am__define_uniq_tagged_files); \
482         test -z "$(CTAGS_ARGS)$$unique" \
483           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
484              $$unique
485
486 GTAGS:
487         here=`$(am__cd) $(top_builddir) && pwd` \
488           && $(am__cd) $(top_srcdir) \
489           && gtags -i $(GTAGS_ARGS) "$$here"
490 cscope: cscope.files
491         test ! -s cscope.files \
492           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
493 clean-cscope:
494         -rm -f cscope.files
495 cscope.files: clean-cscope cscopelist
496 cscopelist: cscopelist-recursive
497
498 cscopelist-am: $(am__tagged_files)
499         list='$(am__tagged_files)'; \
500         case "$(srcdir)" in \
501           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
502           *) sdir=$(subdir)/$(srcdir) ;; \
503         esac; \
504         for i in $$list; do \
505           if test -f "$$i"; then \
506             echo "$(subdir)/$$i"; \
507           else \
508             echo "$$sdir/$$i"; \
509           fi; \
510         done >> $(top_builddir)/cscope.files
511
512 distclean-tags:
513         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
514         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
515 distdir: $(BUILT_SOURCES)
516         $(MAKE) $(AM_MAKEFLAGS) distdir-am
517
518 distdir-am: $(DISTFILES)
519         $(am__remove_distdir)
520         test -d "$(distdir)" || mkdir "$(distdir)"
521         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
522         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
523         list='$(DISTFILES)'; \
524           dist_files=`for file in $$list; do echo $$file; done | \
525           sed -e "s|^$$srcdirstrip/||;t" \
526               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
527         case $$dist_files in \
528           */*) $(MKDIR_P) `echo "$$dist_files" | \
529                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
530                            sort -u` ;; \
531         esac; \
532         for file in $$dist_files; do \
533           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
534           if test -d $$d/$$file; then \
535             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
536             if test -d "$(distdir)/$$file"; then \
537               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
538             fi; \
539             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
540               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
541               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
542             fi; \
543             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
544           else \
545             test -f "$(distdir)/$$file" \
546             || cp -p $$d/$$file "$(distdir)/$$file" \
547             || exit 1; \
548           fi; \
549         done
550         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
551           if test "$$subdir" = .; then :; else \
552             $(am__make_dryrun) \
553               || test -d "$(distdir)/$$subdir" \
554               || $(MKDIR_P) "$(distdir)/$$subdir" \
555               || exit 1; \
556             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
557             $(am__relativize); \
558             new_distdir=$$reldir; \
559             dir1=$$subdir; dir2="$(top_distdir)"; \
560             $(am__relativize); \
561             new_top_distdir=$$reldir; \
562             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
563             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
564             ($(am__cd) $$subdir && \
565               $(MAKE) $(AM_MAKEFLAGS) \
566                 top_distdir="$$new_top_distdir" \
567                 distdir="$$new_distdir" \
568                 am__remove_distdir=: \
569                 am__skip_length_check=: \
570                 am__skip_mode_fix=: \
571                 distdir) \
572               || exit 1; \
573           fi; \
574         done
575         -test -n "$(am__skip_mode_fix)" \
576         || find "$(distdir)" -type d ! -perm -755 \
577                 -exec chmod u+rwx,go+rx {} \; -o \
578           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
579           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
580           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
581         || chmod -R a+r "$(distdir)"
582 dist-gzip: distdir
583         tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
584         $(am__post_remove_distdir)
585
586 dist-bzip2: distdir
587         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
588         $(am__post_remove_distdir)
589
590 dist-lzip: distdir
591         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
592         $(am__post_remove_distdir)
593 dist-xz: distdir
594         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
595         $(am__post_remove_distdir)
596
597 dist-zstd: distdir
598         tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
599         $(am__post_remove_distdir)
600
601 dist-tarZ: distdir
602         @echo WARNING: "Support for distribution archives compressed with" \
603                        "legacy program 'compress' is deprecated." >&2
604         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
605         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
606         $(am__post_remove_distdir)
607
608 dist-shar: distdir
609         @echo WARNING: "Support for shar distribution archives is" \
610                        "deprecated." >&2
611         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
612         shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
613         $(am__post_remove_distdir)
614
615 dist-zip: distdir
616         -rm -f $(distdir).zip
617         zip -rq $(distdir).zip $(distdir)
618         $(am__post_remove_distdir)
619
620 dist dist-all:
621         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
622         $(am__post_remove_distdir)
623
624 # This target untars the dist file and tries a VPATH configuration.  Then
625 # it guarantees that the distribution is self-contained by making another
626 # tarfile.
627 distcheck: dist
628         case '$(DIST_ARCHIVES)' in \
629         *.tar.gz*) \
630           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
631         *.tar.bz2*) \
632           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
633         *.tar.lz*) \
634           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
635         *.tar.xz*) \
636           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
637         *.tar.Z*) \
638           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
639         *.shar.gz*) \
640           eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
641         *.zip*) \
642           unzip $(distdir).zip ;;\
643         *.tar.zst*) \
644           zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
645         esac
646         chmod -R a-w $(distdir)
647         chmod u+w $(distdir)
648         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
649         chmod a-w $(distdir)
650         test -d $(distdir)/_build || exit 0; \
651         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
652           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
653           && am__cwd=`pwd` \
654           && $(am__cd) $(distdir)/_build/sub \
655           && ../../configure \
656             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
657             $(DISTCHECK_CONFIGURE_FLAGS) \
658             --srcdir=../.. --prefix="$$dc_install_base" \
659           && $(MAKE) $(AM_MAKEFLAGS) \
660           && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
661           && $(MAKE) $(AM_MAKEFLAGS) check \
662           && $(MAKE) $(AM_MAKEFLAGS) install \
663           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
664           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
665           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
666                 distuninstallcheck \
667           && chmod -R a-w "$$dc_install_base" \
668           && ({ \
669                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
670                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
671                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
672                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
673                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
674               } || { rm -rf "$$dc_destdir"; exit 1; }) \
675           && rm -rf "$$dc_destdir" \
676           && $(MAKE) $(AM_MAKEFLAGS) dist \
677           && rm -rf $(DIST_ARCHIVES) \
678           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
679           && cd "$$am__cwd" \
680           || exit 1
681         $(am__post_remove_distdir)
682         @(echo "$(distdir) archives ready for distribution: "; \
683           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
684           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
685 distuninstallcheck:
686         @test -n '$(distuninstallcheck_dir)' || { \
687           echo 'ERROR: trying to run $@ with an empty' \
688                '$$(distuninstallcheck_dir)' >&2; \
689           exit 1; \
690         }; \
691         $(am__cd) '$(distuninstallcheck_dir)' || { \
692           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
693           exit 1; \
694         }; \
695         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
696            || { echo "ERROR: files left after uninstall:" ; \
697                 if test -n "$(DESTDIR)"; then \
698                   echo "  (check DESTDIR support)"; \
699                 fi ; \
700                 $(distuninstallcheck_listfiles) ; \
701                 exit 1; } >&2
702 distcleancheck: distclean
703         @if test '$(srcdir)' = . ; then \
704           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
705           exit 1 ; \
706         fi
707         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
708           || { echo "ERROR: files left in build directory after distclean:" ; \
709                $(distcleancheck_listfiles) ; \
710                exit 1; } >&2
711 check-am: all-am
712 check: check-recursive
713 all-am: Makefile $(DATA)
714 installdirs: installdirs-recursive
715 installdirs-am:
716         for dir in "$(DESTDIR)$(jsondir)" "$(DESTDIR)$(pkgconfigdir)"; do \
717           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
718         done
719 install: install-recursive
720 install-exec: install-exec-recursive
721 install-data: install-data-recursive
722 uninstall: uninstall-recursive
723
724 install-am: all-am
725         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
726
727 installcheck: installcheck-recursive
728 install-strip:
729         if test -z '$(STRIP)'; then \
730           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
731             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
732               install; \
733         else \
734           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
735             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
736             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
737         fi
738 mostlyclean-generic:
739
740 clean-generic:
741
742 distclean-generic:
743         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
744         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
745         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
746
747 maintainer-clean-generic:
748         @echo "This command is intended for maintainers to use"
749         @echo "it deletes files that may require special tools to rebuild."
750 clean: clean-recursive
751
752 clean-am: clean-generic mostlyclean-am
753
754 distclean: distclean-recursive
755         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
756         -rm -f Makefile
757 distclean-am: clean-am distclean-generic distclean-tags
758
759 dvi: dvi-recursive
760
761 dvi-am:
762
763 html: html-recursive
764
765 html-am:
766
767 info: info-recursive
768
769 info-am:
770
771 install-data-am: install-dist_jsonDATA install-pkgconfigDATA
772
773 install-dvi: install-dvi-recursive
774
775 install-dvi-am:
776
777 install-exec-am:
778
779 install-html: install-html-recursive
780
781 install-html-am:
782
783 install-info: install-info-recursive
784
785 install-info-am:
786
787 install-man:
788
789 install-pdf: install-pdf-recursive
790
791 install-pdf-am:
792
793 install-ps: install-ps-recursive
794
795 install-ps-am:
796
797 installcheck-am:
798
799 maintainer-clean: maintainer-clean-recursive
800         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
801         -rm -rf $(top_srcdir)/autom4te.cache
802         -rm -f Makefile
803 maintainer-clean-am: distclean-am maintainer-clean-generic
804
805 mostlyclean: mostlyclean-recursive
806
807 mostlyclean-am: mostlyclean-generic
808
809 pdf: pdf-recursive
810
811 pdf-am:
812
813 ps: ps-recursive
814
815 ps-am:
816
817 uninstall-am: uninstall-dist_jsonDATA uninstall-pkgconfigDATA
818
819 .MAKE: $(am__recursive_targets) install-am install-strip
820
821 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
822         am--refresh check check-am clean clean-cscope clean-generic \
823         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
824         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
825         dist-zstd distcheck distclean distclean-generic distclean-tags \
826         distcleancheck distdir distuninstallcheck dvi dvi-am html \
827         html-am info info-am install install-am install-data \
828         install-data-am install-dist_jsonDATA install-dvi \
829         install-dvi-am install-exec install-exec-am install-html \
830         install-html-am install-info install-info-am install-man \
831         install-pdf install-pdf-am install-pkgconfigDATA install-ps \
832         install-ps-am install-strip installcheck installcheck-am \
833         installdirs installdirs-am maintainer-clean \
834         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
835         pdf-am ps ps-am tags tags-am uninstall uninstall-am \
836         uninstall-dist_jsonDATA uninstall-pkgconfigDATA
837
838 .PRECIOUS: Makefile
839
840
841 # Updates all pot files
842 .PHONY: pot
843 pot:
844         for domain in $(DOMAINS); do \
845                 cd $$domain && make $$domain.pot && cd ..; \
846         done
847
848 # Updates all xml files
849 .PHONY: xml
850 xml:
851         for domain in $(DOMAINS); do \
852                 cd $$domain && make $$domain.xml && cd ..; \
853         done
854
855 .PHONY: release
856 release: update-po check distcheck
857
858 .PHONY: update-po
859 update-po:
860         for domain in $(DOMAINS); do \
861                 cd $$domain && make update-po && cd ..; \
862         done
863
864 .PHONY: sign-release
865 sign-release: iso-codes-$(VERSION).tar.xz
866         rm -f iso-codes-$(VERSION).tar.xz.sig
867         gpg --detach-sign iso-codes-$(VERSION).tar.xz
868
869 # Tell versions [3.59,3.63) of GNU make to not export all variables.
870 # Otherwise a system limit (for SysV at least) may be exceeded.
871 .NOEXPORT: